/**********************************************************************
 Copyright (c) 2007 Roger Blum, Pascal Nesch and others. All rights reserved.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Contributors:
 ...
 **********************************************************************/
package org.datanucleus.store.mapping.ao;

import com.esri.arcgis.geometry.Line;
import com.esri.arcgis.geometry.Point;

/**
 * Mapping for com.esri.arcgis.geometry.Line to its datastore representation.
 * @version $Revision: 1.1 $
 */

public class LineMapping extends GeometryMapping
{
    private static final Line sampleValue;
    static
    {
        sampleValue = new Line();

        Point startPoint = new Point();
        Point endPoint = new Point();
        startPoint.putCoords(10.0, 10.0);
        startPoint.putCoords(20.0, 20.0);

        sampleValue.putCoords(startPoint, endPoint);
    }

    public Class getJavaType()
    {
        return Line.class;
    }

    protected Object getSampleValue()
    {
        return sampleValue;
    }
}
