/**********************************************************************
 Copyright (c) 2007 Roger Blum, Pascal Nesch and others. All rights reserved.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Contributors:
 ...
 **********************************************************************/
package org.datanucleus.store.mapping.ao;

import com.esri.arcgis.geometry.Point;
import com.esri.arcgis.geometry.Ring;

/**
 * Mapping for com.esri.arcgis.geometry.Ring to its datastore representation.
 * @version $Revision: 1.1 $
 */

public class RingMapping extends GeometryMapping
{
    private static final Ring sampleValue;
    static
    {
        sampleValue = new Ring();

        Point p1 = new Point();
        Point p2 = new Point();
        Point p3 = new Point();
        Point p4 = new Point();

        p1.putCoords(10.0, 10.0);
        p2.putCoords(40.0, 60.0);
        p3.putCoords(80.0, 50.0);
        p4.putCoords(20.0, 5.0);

        sampleValue.addPoint(p1, null, null);
        sampleValue.addPoint(p2, null, null);
        sampleValue.addPoint(p3, null, null);
        sampleValue.addPoint(p4, null, null);
        sampleValue.addPoint(p1, null, null);
    }

    public Class getJavaType()
    {
        return Ring.class;
    }

    protected Object getSampleValue()
    {
        return sampleValue;
    }
}
