/**********************************************************************
 Copyright (c) 2006 Thomas Marti, Stefan Schmid and others. All rights reserved.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Contributors:
 ...
 **********************************************************************/
package org.datanucleus.store.mapping.jts;

import com.vividsolutions.jts.geom.MultiPoint;

/**
 * Mapping for com.vividsolutions.jts.geom.MultiPoint to its datastore representation.
 * @version $Revision: 1.1 $
 */

public class MultiPointMapping extends GeometryMapping
{

    private static final MultiPoint sampleValue = (MultiPoint)createGeom("MULTIPOINT(0 0, 1 1)");

    public Class getJavaType()
    {
        return MultiPoint.class;
    }

    public Object getSampleValue()
    {
        return sampleValue;
    }

}
