/**********************************************************************
 Copyright (c) 2006 Thomas Marti, Stefan Schmid and others. All rights reserved.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Contributors:
 ...
 **********************************************************************/
package org.datanucleus.store.mapping.pg;

import java.sql.SQLException;

import org.postgis.MultiPolygon;

/**
 * Mapping for org.postgis.MultiPolygon to its datastore representation.
 * @version $Revision: 1.1 $
 */

public class MultiPolygonMapping extends GeometryMapping
{

    private static final MultiPolygon sampleValue;
    static
    {
        try
        {
            sampleValue = new MultiPolygon("(((0 0,4 0,4 4,0 4,0 0),(1 1,2 1,2 2 1 2,1 1 )),((0 0,-4 0,-4 -4,0 -4,0 0),(-1 -1,-2 -1,-2 -2,-1 -2,-1 -1)))");
        }
        catch (SQLException e)
        {
            throw new Error("AssertionError: Illegal sampleValue", e);
        }
    }

    public Class getJavaType()
    {
        return MultiPolygon.class;
    }

    public Object getSampleValue()
    {
        return sampleValue;
    }

}
